FROM openshift/golang-builder@sha256:2c34135dc4d4a35fa19775e4e559e2e6f2e476a0ccdc993360e3663729904035 AS builder
ENV __doozer=update BUILD_RELEASE=202202081733.p0.g917d395.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202202081733.p0.g917d395.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=917d395 OS_GIT_VERSION=4.8.0-202202081733.p0.g917d395.assembly.stream-917d395 SOURCE_DATE_EPOCH=1644340217 SOURCE_GIT_COMMIT=917d395f0483ba1b0f516283d9247c585039347a SOURCE_GIT_TAG=v0.0.0-355-g917d395f SOURCE_GIT_URL=https://github.com/openshift/cluster-autoscaler-operator 
WORKDIR /go/src/github.com/openshift/cluster-autoscaler-operator
COPY . .
ENV NO_DOCKER=1
ENV BUILD_DEST=/go/bin/cluster-autoscaler-operator
RUN unset VERSION && make build

FROM openshift/ose-base:v4.8.0-202201261123.p0.gad38e11.assembly.stream
ENV __doozer=update BUILD_RELEASE=202202081733.p0.g917d395.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202202081733.p0.g917d395.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=917d395 OS_GIT_VERSION=4.8.0-202202081733.p0.g917d395.assembly.stream-917d395 SOURCE_DATE_EPOCH=1644340217 SOURCE_GIT_COMMIT=917d395f0483ba1b0f516283d9247c585039347a SOURCE_GIT_TAG=v0.0.0-355-g917d395f SOURCE_GIT_URL=https://github.com/openshift/cluster-autoscaler-operator 
COPY --from=builder /go/bin/cluster-autoscaler-operator /usr/bin/
COPY --from=builder /go/src/github.com/openshift/cluster-autoscaler-operator/install /manifests
CMD ["/usr/bin/cluster-autoscaler-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-autoscaler-operator" \
        com.redhat.component="ose-cluster-autoscaler-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cloud Compute" \
        io.openshift.maintainer.subcomponent="Other Providers" \
        release="202202081733.p0.g917d395.assembly.stream" \
        io.openshift.build.commit.id="917d395f0483ba1b0f516283d9247c585039347a" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-autoscaler-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-autoscaler-operator/commit/917d395f0483ba1b0f516283d9247c585039347a" \
        version="v4.8.0"

